FROM golang:1.13 AS builder

WORKDIR /home/func
COPY . .

RUN go build -buildmode plugin -o function.so
RUN cd runtime/ && go build -o main

FROM scratch
COPY --from=builder /lib /lib
COPY --from=builder /lib64 /lib64
COPY --from=builder /home/func/function.so .
COPY --from=builder /home/func/runtime/main .

ENV FUNCTION_NAME {{.FunctionName}}
ENV FUNCTION_HANDLER {{.FunctionHandler}}

CMD ["/home/func/main"]
